Package org.stianloader.micromixin.transform.api

## Class ModularityAttached<T,​V>

- java.lang.Object
- - org.stianloader.micromixin.transform.api.ModularityAttached<T,​V>

    public class ModularityAttached<T,​V>
    extends java.lang.Object

### Field Summary

Fields
`T` `attachment`
`V` `value`

### Constructor Summary

Constructors
`ModularityAttached​(T modularityAttachment, V value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### attachment

    @Nullable
    public final T attachment

#### value

    @NotNull
    public final V value

### Constructor Detail

#### ModularityAttached

    public ModularityAttached​(@Nullable
                              T modularityAttachment,
                              @NotNull
                              V value)

### Method Detail

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`